If you purchased an upgrade from FCE1 to FCE4 then you may need to have FCE1 installed on the new machine so that the upgrade has something to actually upgrade.

A call to 1-800-APPL should be able to answer you question.


P